// ============================================================================
//
// Copyright (c) 2010 - 2016, niceideas.ch - Jerome Kehrli
//
// You may distribute this code under the terms of the GNU LGPL license
// (http://www.gnu.org/licenses/lgpl.html). [^]
//
// ===================================================================



package ch.niceideas.common.http.comet;

import ch.niceideas.common.utils.CommonBusinessException;

public class CometBusinessException extends CommonBusinessException {
    
    private static final long serialVersionUID = 65452164L;

    public CometBusinessException(final String message) {
        super(message);
    }
    
    public CometBusinessException(final Throwable under) {
        super(under);
    }
    
    public CometBusinessException(final String message, final Throwable under) {
        super(message, under);
    }
}