// ============================================================================
//
// Copyright (c) 2010 - 2011, niceideas.ch - Jerome Kehrli
//
// You may distribute this code under the terms of the GNU LGPL license
// (http://www.gnu.org/licenses/lgpl.html). [^]
//
// ===================================================================


package ch.niceideas.common.service.simple;

import ch.niceideas.common.service.Registry;
import ch.niceideas.common.service.RegistryInitializer;
import junit.framework.TestCase;
import org.apache.log4j.Logger;
import org.junit.Test;

public class ServiceTest extends TestCase{

    private static final Logger logger = Logger.getLogger(ServiceTest.class);

    @Test
    public void testSimple() throws Exception {

        Registry registry = RegistryInitializer.init("ch.niceideas.common.service.simple");

        assertNotNull(registry);

        ServiceA serviceA = (ServiceA) registry.getService("ch.niceideas.common.service.simple.ServiceA");
        assertNotNull (serviceA);

        ServiceB serviceB = serviceA.getServiceB();
        assertNotNull (serviceB);

        ServiceC serviceC = serviceA.getServiceC();
        assertNotNull (serviceC);


    }

}
