// ============================================================================
//
// Copyright (c) 2010 - 2016, niceideas.ch - Jerome Kehrli
//
// You may distribute this code under the terms of the GNU LGPL license
// (http://www.gnu.org/licenses/lgpl.html). [^]
//
// ===================================================================


package ch.niceideas.common.http.comet;

public class CometDispatchClientException extends CometServerException {

    private static final long serialVersionUID = 785962340295891505L;
    
    private final String streamId;
    private final String clientId;
    
    public CometDispatchClientException(String streamId, String clientId, String message, Throwable under) {
        super(message, under);
        this.streamId = streamId;
        this.clientId = clientId;
    }

    public String getStreamId() {
        return streamId;
    }

    public String getClientId() {
        return clientId;
    }
}
