// ============================================================================
//
// Copyright (c) 2010 - 2011, niceideas.ch - Jerome Kehrli
//
// You may distribute this code under the terms of the GNU LGPL license
// (http://www.gnu.org/licenses/lgpl.html). [^]
//
// ===================================================================

package ch.niceideas.common.service;


import ch.niceideas.common.utils.CommonBusinessException;

/**
 * Identifies any kind of error during Registry Initialization.
 */
public class RegistryInitializationException extends CommonBusinessException {

    private static final long serialVersionUID = -3352566122728116549L;

    public RegistryInitializationException(String message) {
        super(message);
    }

    public RegistryInitializationException(String message, Throwable cause) {
        super(message, cause);
    }

}
